<template>
  <div>
    <div class="padding full-table">
      <div class="row table-row">
        <div class="columns two">
          <span class="adaptive">
            Тип заявки: </span> {{loan.type === 3 ? 'Доп.услуги' : 'Микрозайм'}}
            <div v-if="loan.type === 3" class="sub" style="margin-bottom: 20px;">
                <span v-for="sub in loan.subTypes">
                  {{sub === 0 ? 'Страховка' : 'Юр.услуги'}}
                </span>
            </div>
        </div>
        <div class="columns two date">
          <span class="adaptive">Дата начала:</span> {{formatDate(loan.dateFrom)}}
        </div>
        <div class="columns two date">
          <span class="adaptive">Дата окончания:</span> {{formatDate(loan.dateTo)}}
        </div>
        <div class="columns two">
          <span class="adaptive">Сумма:</span> <span style="white-space: nowrap">{{loan.sum|currency}} &#8381;</span>
        </div>
        <div class="columns two">
          <a @click.prevent="$parent.$modal.show('docs-list', {creditId: loan.id})" href="#" class="documents">
            <span class="adaptive">Документы</span>
          </a>
          <a @click.prevent="$parent.$modal.show('statements-list', {creditId: loan.id})" href="#" class="documents statements">
            <span class="adaptive">Заявления</span>
          </a>
        </div>
        <div class="columns two">
          <credit-status :status='loan.status'></credit-status>
        </div>
      </div>
    </div>
    <div class="mobile-table loan-info white-block">
      <div class="padding">
        <div class="row">
          <div class="columns six dotted-line">
            <span class="left-block"><b style="color:#000000">Тип заявки</b></span>
            <span class="right-block">{{loan.type === 3 ? 'Доп.услуги' : 'Микрозайм'}}</span>
          </div>
          <div class="columns six dotted-line">
            <span class="left-block">Дата начала</span>
            <span class="right-block date" >{{formatDate(loan.dateFrom)}}</span>
          </div>
        </div>

        <div class="row">
          <div class="columns six dotted-line">
            <span class="left-block">Дата окончания</span>
            <span class="right-block date">{{formatDate(loan.dateTo)}}</span>
          </div>
          <div class="columns six dotted-line">
            <span class="left-block">Сумма</span>
            <span class="right-block">
              <span style="white-space: nowrap">{{loan.sum|currency}} &#8381;</span>
            </span>
          </div>
        </div>

        <div class="row">
          <div class="columns six dotted-line">
            <span class="left-block">Статус</span>
            <span class="right-block" :class="getIconClass(loan.status)">{{getDescription(loan.status)}}</span>
          </div>
        </div>
        <div class="row">
          <div class="columns six docs">
            <a @click.prevent="$parent.$modal.show('docs-list', {creditId: loan.id})" href="#" class="documents">
              Документы
            </a>
            <a @click.prevent="$parent.$modal.show('statements-list', {creditId: loan.id})" href="#" class="documents statements">
              Подать обращение
            </a>
          </div>
        </div>
      </div>
    </div>
    <hr/>
  </div>
</template>

<script>
  import CreditStatus from './Status'
  import {getDescription, getIconClass} from '@/utils/mappings/loans'

  export default {
    props: {
      loan: {
        type: Object,
        required: true
      }
    },
    methods: {
      formatDate(date) {
        return this.$dayjs(date).format('DD.MM.YYYY')
      },
      getDescription(status) {
        return getDescription(status)
      },
      getIconClass(status) {
        return getIconClass(status);
      }
    },
    components: {
      CreditStatus
    }
  }
</script>

<style scoped lang="scss">
  @import "./../../../static/css/mixins/main";
  @import "./../../../static/css/variables/main";

  .sub {
    font-size:12px;
    color: #6d737b;
  }

  .date {
    color: #9b9b9b !important;font-weight: normal !important;
  }

  .status-sucess {
    color: #6ec756 !important;
    background: #fff !important;
    white-space: nowrap;
    width: auto !important;

  }
  .status-deny {
    color: #f74455 !important;
    background: #fff !important;
    white-space: nowrap;
    width: auto !important;


  }
  .status-whaiting {
    color: #9b9b9b !important;
    background: #fff !important;
    white-space: nowrap;
    width: auto !important;

  }

  .docs {
    @include flex(flex, row, wrap);
    justify-content: flex-start;
    a {
      &:first-child {
        margin-right: 30px;
        margin-bottom: 20px;
      }
    }
    margin: 20px 0;
  }

  @media #{$tablet} {
    .docs {
      justify-content: space-between;
      a {
        @include font(14px);
        &:first-child {
          margin-right: 10px;
          margin-bottom: 0;
        }
      }
    }
    .content-block .loan-history .documents {
      padding-left: 38px;
    }
  }

  @media #{$mobile} {
    .docs {
      a {
        &:first-child {
          margin-right: 10px;
          margin-bottom: 20px;
        }
      }
    }
  }

  .white-block {
    margin-bottom: 20px !important;
    border: none !important;
  }
</style>
